Subject: Re: [PATCH] Add hg-to-git conversion utility.

From: Stelian Pop <[email-masked]>
Date: Sat, 13 Jan 2007 00:00:56 +0100

Shawn O. Pearce a écrit :
> Stelian Pop <[email-masked]> wrote:
>> hg-to-git.py  is able to convert a Mercurial repository into a git one,
>> and preserves the branches in the process (unlike tailor)
> 
> Cool!
> 
> You've already written the converter, but you may want to look at
> using git-fast-import as the backend interface to Git.  I think
> your code may come out shorter, be clearer, and will run faster.
[...]
> Post 1.5.0 I'm going to nudge Junio to get gfi added to the main
> git.git repository.  (Right now I don't want to distract him from
> the release.)

Rebasing hg-to-git.py on gfi will probably be a very good idea once gfi 
is in the tree.

But I wrote this since I had a need for it, and once my repositories 
converted to git I'm not sure I'll need it again :) So don't count too 
much on me to do this rebasing :)

But who knows, on a cold rainy day...

-- 
Stelian Pop <[email-masked]>